Subject: Re: Converting to Git using svn-fe (Was: Speeding up the initial git-svn fetch)

From: Jonathan Nieder <[email-masked]>
Date: Mon, 18 Oct 2010 12:28:10 -0500

Sverre Rabbelier wrote:
> On Mon, Oct 18, 2010 at 11:56, Jonathan Nieder <[email-masked]> wrote:

>> FWIW I just wanted to make sure people don't forget about the
>> incompatible object models.
>
>> Pulling from svn is a harder problem but luckily the single-upstream
>> case is the usual case (so object model mismatches are easier to cope
>> with as long as one can find the corresponding svn rev number for a
>> given git object easily).
>
> I think I'm missing something. What do you mean with this?

I mean that rejecting a fetch because upstream has weird history
would make no one happy.